Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Interface TreeReaderFactory

All Known Implementing Classes:
  CTBTreeReaderFactory, LabeledScoredTreeReaderFactory, PennTreeReaderFactory, SimpleTreeReaderFactory, StringLabeledScoredTreeReaderFactory, TregexPattern.TRegexTreeReaderFactory

    public interface TreeReaderFactory

A `TreeReaderFactory` is a factory for creating objects of class `TreeReader`, or some descendent class.

Author:
  Christopher Manning

Method Summary
`TreeReader` | `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Method Detail

### newTreeReader

    TreeReader newTreeReader(Reader in)

  Create a new `TreeReader` using the provided `Reader`.

  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group